Benetton Rugby vs Dragons RFC · EPCR Challenge Cup
EPCR Challenge Cup · 2025-26Full time
74–21

Match report
Benetton Rugby beat Dragons RFC 74-21 at Stadio Comunale di Monigo, Treviso in round 3 of the EPCR Challenge Cup on Saturday, 10 January 2026.
That makes it three wins in a row for Benetton Rugby.
Written automatically from the match data; updated as results come in.
Head to head
5
Benetton Rugby wins (56%)
3
Draws (33%)
1
Dragons RFC wins (11%)
Last 9 meetings, since November 2020
Biggest Benetton Rugby win
74–21
10 Jan 2026
Biggest Dragons RFC win
26–19
29 Nov 2020
Last 5 meetings
- 25 Sept 2026 · United Rugby ChampionshipBenetton Rugby19Dragons RFC1925 Sept 2026Benetton Rugby19–19Dragons RFCUnited Rugby Championship
- 28 Feb 2026 · United Rugby ChampionshipDragons RFC15Benetton Rugby1528 Feb 2026Dragons RFC15–15Benetton RugbyUnited Rugby Championship
- 10 Jan 2026 · Challenge CupBenetton Rugby74Dragons RFC2110 Jan 2026Benetton Rugby74–21Dragons RFCChallenge Cup
- 19 Oct 2024 · United Rugby ChampionshipDragons RFC21Benetton Rugby3119 Oct 2024Dragons RFC21–31Benetton RugbyUnited Rugby Championship
- 20 Apr 2024 · United Rugby ChampionshipBenetton Rugby36Dragons RFC1920 Apr 2024Benetton Rugby36–19Dragons RFCUnited Rugby Championship
Lineups
Avg. age
28.4
Avg. age
26.6
Benetton Rugby
- 1Mirco Spagnolo(25)
- 2Nicholas Gasperini(22)
- 3Simone Ferrari(32)
- 4Niccolò Cannone(28)
- 5Federico Ruzza(32)
- 6Alessandro Izekor(26)
- 7Manuel Zuliani(26)
- 8Lorenzo Cannone(25)
- 9Andy Uren(30)
- 10Jacob Umaga(28)
- 11Onisi Ratave(34)
- 12Malakai Fekitoa(34)
- 13Paolo Odogwu(29)
- 14Louis Lynagh(25)
- 15Matt Gallagher(30)
Replacements
- 16Bautista Bernasconi(25)
- 17Nahuel Tetaz Chaparro(36)
- 18Giosuè Zilocchi(29)
- 19Scott Scrafton(33)
- 20Eli Snyman(30)
- 21Michele Lamaro(28)
- 22Alessandro Garbisi(24)
- 23Leonardo Marin(24)
Dragons RFC
- 1Rodrigo Martinez(28)
- 2Oli Burrows(24)
- 3Cebo Dlamini(24)
- 4Levi Douglas(31)
- 5Matthew Screech(34)
- 6Ryan Woodman(22)
- 7Harry Beddall(21)
- 8Shane Lewis-Hughes(29)
- 9Rhodri Williams(33)
- 10Tinus De Beer(30)
- 11Rio Dyer(26)
- 12Joe Westwood(23)
- 13David Richards(27)
- 14Ewan Rosser(25)
- 15Huw Anderson(22)
Replacements
- 16Brodie Coghlan(25)
- 17Jordan Morris(22)
- 18Robert Hunt(30)
- 19Barny Langton(25)
- 20Thomas Young(34)
- 21Morgan Lloyd(24)
- 22Jac Lloyd(24)
- 23Aneurin Owen(26)